searchData={"items":[{"type":"module","title":"ElixirStructureManager.Core.ApplyTemplate","doc":"This module is responsible for applying the templates to the project.","ref":"ElixirStructureManager.Core.ApplyTemplate.html"},{"type":"function","title":"ElixirStructureManager.Core.ApplyTemplate.apply/3","doc":"","ref":"ElixirStructureManager.Core.ApplyTemplate.html#apply/3"},{"type":"module","title":"ElixirStructureManager.Reports.Sobelow","doc":"Sobelow report generator","ref":"ElixirStructureManager.Reports.Sobelow.html"},{"type":"function","title":"ElixirStructureManager.Reports.Sobelow.translate/2","doc":"","ref":"ElixirStructureManager.Reports.Sobelow.html#translate/2"},{"type":"module","title":"ElixirStructureManager.Utils.DataTypeUtils","doc":"Normalize data types to be used in the application.","ref":"ElixirStructureManager.Utils.DataTypeUtils.html"},{"type":"function","title":"ElixirStructureManager.Utils.DataTypeUtils.normalize/1","doc":"","ref":"ElixirStructureManager.Utils.DataTypeUtils.html#normalize/1"},{"type":"function","title":"ElixirStructureManager.Utils.DataTypeUtils.parse_opts/3","doc":"","ref":"ElixirStructureManager.Utils.DataTypeUtils.html#parse_opts/3"},{"type":"module","title":"ElixirStructureManager.Utils.FileGenerator","doc":"Execute al parameterized actions to generate or modify files.","ref":"ElixirStructureManager.Utils.FileGenerator.html"},{"type":"function","title":"ElixirStructureManager.Utils.FileGenerator.execute_actions/2","doc":"","ref":"ElixirStructureManager.Utils.FileGenerator.html#execute_actions/2"},{"type":"module","title":"ElixirStructureManager.Utils.Hex.Packages","doc":"Module to manage dependencies in mix.exs","ref":"ElixirStructureManager.Utils.Hex.Packages.html"},{"type":"function","title":"ElixirStructureManager.Utils.Hex.Packages.get_stable_version/1","doc":"Updates dependencies in mix.exs to their latest versions from hex.pm","ref":"ElixirStructureManager.Utils.Hex.Packages.html#get_stable_version/1"},{"type":"module","title":"ElixirStructureManager.Utils.Injector","doc":"Injects some part of text in file contents using regular expressions.","ref":"ElixirStructureManager.Utils.Injector.html"},{"type":"function","title":"ElixirStructureManager.Utils.Injector.append_end/3","doc":"","ref":"ElixirStructureManager.Utils.Injector.html#append_end/3"},{"type":"function","title":"ElixirStructureManager.Utils.Injector.inject_dependency/3","doc":"","ref":"ElixirStructureManager.Utils.Injector.html#inject_dependency/3"},{"type":"function","title":"ElixirStructureManager.Utils.Injector.insert_after/3","doc":"","ref":"ElixirStructureManager.Utils.Injector.html#insert_after/3"},{"type":"function","title":"ElixirStructureManager.Utils.Injector.insert_before/3","doc":"","ref":"ElixirStructureManager.Utils.Injector.html#insert_before/3"},{"type":"function","title":"ElixirStructureManager.Utils.Injector.replace/3","doc":"","ref":"ElixirStructureManager.Utils.Injector.html#replace/3"},{"type":"module","title":"ElixirStructureManager.Utils.StringContent","doc":"Replace variables in a string content.","ref":"ElixirStructureManager.Utils.StringContent.html"},{"type":"function","title":"ElixirStructureManager.Utils.StringContent.format_name/1","doc":"","ref":"ElixirStructureManager.Utils.StringContent.html#format_name/1"},{"type":"function","title":"ElixirStructureManager.Utils.StringContent.replace/2","doc":"","ref":"ElixirStructureManager.Utils.StringContent.html#replace/2"},{"type":"task","title":"mix ca.apply.config","doc":"Applies common configuration to the clean architecture project\nmix ca.apply.config --type config_name\n\nType param options:\n\n* sonar\n* metrics\n\nExamples:\n    $ mix ca.apply.config --type sonar\n    $ mix ca.apply.config -t metrics","ref":"Mix.Tasks.Ca.Apply.Config.html"},{"type":"function","title":"Mix.Tasks.Ca.Apply.Config.execute/1","doc":"","ref":"Mix.Tasks.Ca.Apply.Config.html#execute/1"},{"type":"task","title":"mix ca.base_task","doc":"Generic base task for all tasks in this project.","ref":"Mix.Tasks.Ca.BaseTask.html"},{"type":"task","title":"mix ca.new.da","doc":"Creates a new driven adapter for the clean architecture project\nmix ca.new.da --type driven_adapter_name\n\nType param options:\n\n* generic\n* redis\n* asynceventbus\n* secrestsmanager\n* dynamo\n* repository\n* restconsumer\n\nExamples:\n    $ mix ca.new.da --type driven_adapter_name --name my_adapter\n    $ mix ca.new.da -t driven_adapter_name -n my_adapter\n\n    $ mix ca.new.da --type secrestsmanager\n    $ mix ca.new.da -t secrestsmanager","ref":"Mix.Tasks.Ca.New.Da.html"},{"type":"function","title":"Mix.Tasks.Ca.New.Da.execute/1","doc":"","ref":"Mix.Tasks.Ca.New.Da.html#execute/1"},{"type":"task","title":"mix ca.new.ep","doc":"Creates a new driven adapter for the clean architecture project\nmix ca.new.ep --type entry_point_name\n\nType param options:\n\n* secrestsmanager\n\nExamples:\n    $ mix ca.new.ep --type entry_point_name --name my_adapter\n    $ mix ca.new.ep -t entry_point_name -n my_adapter\n\n    $ mix ca.new.ep --type asynceventhandler\n    $ mix ca.new.ep -t asynceventhandler","ref":"Mix.Tasks.Ca.New.Ep.html"},{"type":"function","title":"Mix.Tasks.Ca.New.Ep.execute/1","doc":"","ref":"Mix.Tasks.Ca.New.Ep.html#execute/1"},{"type":"task","title":"mix ca.new.model","doc":"Creates a new model for the clean architecture project\n    $ mix ca.new.model [model_name]\n\nCreates a new model with default behaviour name\n    $ mix ca.new.model [model_name] --behaviour\n    $ mix ca.new.model [model_name] -b\n\nCreates a new model with behaviour name\n    $ mix ca.new.model [model name] --behaviour-name [behaviour_name]\n    $ mix ca.new.model [model name] -n [behaviour_name]","ref":"Mix.Tasks.Ca.New.Model.html"},{"type":"function","title":"Mix.Tasks.Ca.New.Model.execute/1","doc":"","ref":"Mix.Tasks.Ca.New.Model.html#execute/1"},{"type":"task","title":"mix ca.new.structure","doc":"Creates a new Clean architecture scaffold\n    $ mix ca.new.structure [application_name]\n    $ mix ca.new.structure [application_name] --metrics --sonar\n    $ mix ca.new.structure [application_name] -m -s","ref":"Mix.Tasks.Ca.New.Structure.html"},{"type":"function","title":"Mix.Tasks.Ca.New.Structure.run/1","doc":"","ref":"Mix.Tasks.Ca.New.Structure.html#run/1"},{"type":"task","title":"mix ca.new.usecase","doc":"Creates a new usecase for the clean architecture project\n    $ mix ca.new.usecase [name_usecase]","ref":"Mix.Tasks.Ca.New.Usecase.html"},{"type":"function","title":"Mix.Tasks.Ca.New.Usecase.execute/1","doc":"","ref":"Mix.Tasks.Ca.New.Usecase.html#execute/1"},{"type":"task","title":"mix ca.release","doc":"Run common static code analysis tools and tests for the project\nRun mix release and move compressed artifact to _build/release/artifact folder\n\nExamples:\n    $ mix ca.release\n\nIt generates the following files:\n* _build/release/credo_sonarqube.json\n* _build/release/excoveralls.xml\n* _build/release/generic_test_execution_sonarqube.xml\n* _build/release/sobelow.json\n* _build/release/sobelow_sonarqube.json\n* _build/release/test-junit-report.xml\n* _build/release/artifact/ .tar.gz\n\nYou can skip some task with --skiptest or --skipreleasee options:\n    $ mix ca.release --skiptest\n    $ mix ca.release --skiprelease\n\nYou can run the tasks inside a container with --container option:\n    $ mix ca.release --container\n\n    this uses the following configuration:\n    * container_tool: docker\n    * container_file: resources/cloud/Dockerfile-build\n    * container_base_image: 1.16.2-otp-26-alpine\n\n    You can change the configuration in config/config.exs with:\n\n    config :elixir_structure_manager,\n      container_tool: \"docker\",\n      container_file: \"resources/cloud/Dockerfile-build\",\n      container_base_image: \"1.16.2-otp-26-alpine\"","ref":"Mix.Tasks.Ca.Release.html"},{"type":"function","title":"Mix.Tasks.Ca.Release.execute/1","doc":"","ref":"Mix.Tasks.Ca.Release.html#execute/1"},{"type":"function","title":"Mix.Tasks.Ca.Release.execute_local/2","doc":"","ref":"Mix.Tasks.Ca.Release.html#execute_local/2"},{"type":"task","title":"mix ca.sobelow.sonar","doc":"Translates the sobelow json report to sonar issues\n\nExamples:\n    $ mix ca.sobelow.sonar -i sobelow.json -o sobelow_sonarqube.json","ref":"Mix.Tasks.Ca.Sobelow.Sonar.html"},{"type":"function","title":"Mix.Tasks.Ca.Sobelow.Sonar.execute/1","doc":"","ref":"Mix.Tasks.Ca.Sobelow.Sonar.html#execute/1"},{"type":"task","title":"mix ca.update","doc":"Updates dependencies in mix.exs to their latest stable versions from hex.pm\n\nExamples:\n    $ mix ca.update","ref":"Mix.Tasks.Ca.Update.html"},{"type":"function","title":"Mix.Tasks.Ca.Update.execute/1","doc":"","ref":"Mix.Tasks.Ca.Update.html#execute/1"},{"type":"module","title":"Util","doc":"Utility functions.","ref":"Util.html"},{"type":"function","title":"Util.join_with/2","doc":"","ref":"Util.html#join_with/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}